Bug 1956540 - Request to add inn to EPEL8
Summary: Request to add inn to EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: inn
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1765789
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 20:57 UTC by Todd Valentic
Modified: 2021-10-08 23:47 UTC (History)
3 users (show)

Fixed In Version: inn-2.6.4-8.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-08 23:47:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Todd Valentic 2021-05-03 20:57:26 UTC
Description of problem:

Would it be possible to add the inn package to EPEL8? It exists in EPEL7. I have done a test rebuild of the Fedora 34 src rpm and it looks like it builds and installs without problems (it does need the uucp package added to EPEL8 as well).

Thanks for your consideration

Comment 1 Dominik 'Rathann' Mierzejewski 2021-07-19 13:45:34 UTC
I've requested EPEL8 branch, but uucp is still not available in EPEL8. Are you using uucp? If not, I guess I could disable it for EPEL8.

Would you like to maintain the EPEL8 branch? If yes, please provide your Fedora account name and I'll add you as co-maintainer.

Comment 2 Dominik 'Rathann' Mierzejewski 2021-07-28 23:06:30 UTC
Ping.

Comment 3 Todd Valentic 2021-07-30 00:16:27 UTC
Sorry the delay in replying. I'm not personally using UUCP. When using the Fedora 34 src rpm, I did build the corresponding UUCP rpm to satisfy the dependency (uucp-1.07-62.fc34.src.rpm). That built fine on EPEL, so if we want to maintain parity with the Fedora release, we might want to consider adding that package as well.

I'd be glad to help maintain. I haven't done this before but I have been a long time RH and Fedora user, so happy to help out if you'll guide me. My Fedora ID is "valentic".

Comment 4 Dominik 'Rathann' Mierzejewski 2021-07-30 22:25:20 UTC
I've just found out that INN doesn't actually require the uucp package to be present during build, so I'll simply drop the BuildRequires across the board instead. The only thing that's required from uucp is the uucp user and group and I can handle that differently. As for co-maintainership, I'll contact you by e-mail separately. Do check your GMail spam folder as Google anti-spam algorithms consider e-mail from little-know personal domains as spam most of the time.

Comment 5 Fedora Update System 2021-09-29 10:44:11 UTC
FEDORA-EPEL-2021-dbc64afc74 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-dbc64afc74

Comment 6 Fedora Update System 2021-09-30 20:48:09 UTC
FEDORA-EPEL-2021-dbc64afc74 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-dbc64afc74

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-10-08 23:47:08 UTC
FEDORA-EPEL-2021-dbc64afc74 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.